<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/LorentzVector.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LorentzVector.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_lorentz_vector_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef EICD_LorentzVector_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define EICD_LorentzVector_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classeic_1_1_lorentz_vector.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_lorentz_vector.html">LorentzVector</a> {</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_lorentz_vector.html#a8ded2dfffe4f68b44908c65b26be7f1e">   11</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_lorentz_vector.html#a8ded2dfffe4f68b44908c65b26be7f1e">Mass</a>;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classeic_1_1_lorentz_vector.html#ac0dfbe0146271b728f2d6f18efcda463">   12</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_lorentz_vector.html#ac0dfbe0146271b728f2d6f18efcda463">Pt</a>;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_lorentz_vector.html#af0f8a4c8f264318737673f85c159b8cf">   13</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_lorentz_vector.html#af0f8a4c8f264318737673f85c159b8cf">Eta</a>;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_lorentz_vector.html#a016a349e84cbc38a2c4f271e7e5c1ee9">   14</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_lorentz_vector.html#a016a349e84cbc38a2c4f271e7e5c1ee9">Phi</a>;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;};</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="namespaceeic.html#a923800b097388676dc034dbea2400d76">   18</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>( std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_lorentz_vector.html">eic::LorentzVector</a>&amp; value ) {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_lorentz_vector.html#a8ded2dfffe4f68b44908c65b26be7f1e">Mass</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_lorentz_vector.html#ac0dfbe0146271b728f2d6f18efcda463">Pt</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_lorentz_vector.html#af0f8a4c8f264318737673f85c159b8cf">Eta</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_lorentz_vector.html#a016a349e84cbc38a2c4f271e7e5c1ee9">Phi</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_lorentz_vector_html_ac0dfbe0146271b728f2d6f18efcda463"><div class="ttname"><a href="classeic_1_1_lorentz_vector.html#ac0dfbe0146271b728f2d6f18efcda463">eic::LorentzVector::Pt</a></div><div class="ttdeci">float Pt</div><div class="ttdef"><b>Definition:</b> <a href="_lorentz_vector_8h_source.html#l00012">LorentzVector.h:12</a></div></div>
<div class="ttc" id="classeic_1_1_lorentz_vector_html_af0f8a4c8f264318737673f85c159b8cf"><div class="ttname"><a href="classeic_1_1_lorentz_vector.html#af0f8a4c8f264318737673f85c159b8cf">eic::LorentzVector::Eta</a></div><div class="ttdeci">float Eta</div><div class="ttdef"><b>Definition:</b> <a href="_lorentz_vector_8h_source.html#l00013">LorentzVector.h:13</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00098">CalorimeterHit.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_lorentz_vector_html_a8ded2dfffe4f68b44908c65b26be7f1e"><div class="ttname"><a href="classeic_1_1_lorentz_vector.html#a8ded2dfffe4f68b44908c65b26be7f1e">eic::LorentzVector::Mass</a></div><div class="ttdeci">float Mass</div><div class="ttdef"><b>Definition:</b> <a href="_lorentz_vector_8h_source.html#l00011">LorentzVector.h:11</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_lorentz_vector_html_a016a349e84cbc38a2c4f271e7e5c1ee9"><div class="ttname"><a href="classeic_1_1_lorentz_vector.html#a016a349e84cbc38a2c4f271e7e5c1ee9">eic::LorentzVector::Phi</a></div><div class="ttdeci">float Phi</div><div class="ttdef"><b>Definition:</b> <a href="_lorentz_vector_8h_source.html#l00014">LorentzVector.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_lorentz_vector_html"><div class="ttname"><a href="classeic_1_1_lorentz_vector.html">eic::LorentzVector</a></div><div class="ttdef"><b>Definition:</b> <a href="_lorentz_vector_8h_source.html#l00009">LorentzVector.h:9</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
